// version.js
const fs = require('fs');
const path = require('path');
 
function updateVersion() {
  const date = new Date();
  const year = date.getFullYear(); // 获取当前年份
  const month = date.getMonth() + 1; // 获取当前月份（注意月份是从0开始计数的，需要加1）
  const day = date.getDate(); // 获取当前日期
  const packageJson = require('./public/version.json');
  const versionParts = packageJson.version.split('_');
  if(versionParts[1]==year&&versionParts[2]==month&&versionParts[3]==day){
      // 假设我们只增加最后一位，实际可以根据需求自定义逻辑
      versionParts[4]++;
  }else{
        versionParts[1]=year
        versionParts[2]=month
        versionParts[3]=day
        versionParts[4]=0
   }
  packageJson.version = versionParts.join('_');
  fs.writeFileSync(path.resolve(__dirname, './version.json'), JSON.stringify(packageJson, null, 2));
}
 
module.exports = {
  updateVersion
};